/* mainController */

#import <Cocoa/Cocoa.h>

@interface mainController : NSObject
{
    IBOutlet NSTextField	*clientStatePath;
	IBOutlet NSTextField	*numberOfProjects;
	IBOutlet NSTextField	*totalCreditCount;
	
    IBOutlet NSTableView	*mainTable;
	IBOutlet NSButton		*watchDogButton;
    IBOutlet NSWindow		*mainWindow;
	IBOutlet id				projectTableOutlet;
	
	// zrobie jedna tabelke rezultaty na plasko
	NSMutableArray		*main_result_table;
											
	NSDictionary		*sekcje;
	NSMutableArray		*projectInfo; // glowna tabelka z danymi z pliku client_state.xml
	
	NSString *formatDaty;
	
	NSString	*root_dir;
	NSString	*global_prefsFileLocation;
	NSString	*global_prefs_time_stamp;
	NSString	*client_state_mod_date;
	NSString	*client_state_time_stamp;
	NSString	*client_state_prev_mod_date;
	
	NSString *globalPrefsFileContents;
	NSString *cpu_scheduling_period_minutes;
	NSString *disk_interval;
	
	NSFileManager *managerPlikow;
	NSTimer *stoper;
	BOOL watchDogButtonState;
	
	#define boinc_root_dir		@"/Library/Application Support/Boinc Data/"
	#define client_state		@"client_state.xml"
	#define client_state_prev	@"client_state_prev.xml"
	#define global_prefs		@"global_prefs.xml"
}
	
- (void) applicationDidFinishLaunching:(NSNotification *)notification; // moja inicjacja okna //
- (NSString *) podajDatePliku:(NSString *)plikDoSprawdzenia;
- (void) dealloc;
- (void) usunTabliceDoTabelki;
- (void) noweTabliceDoTabelki;

- (void) policzIWstawDoTabelki;
- (void) watchDog;
- (void) stoper:(SEL)metoda co:(int)odstepCzasu;
- (void) sekcjaHost_Info;
- (void) wyciagamyDane;

- (id)	 podajWartoscZTabelkiProjektow:(int)indeks;
- (int)  podajRozmiarTabelkiProjektow;
- (NSString *) podajFormatDaty;
- (void) wyciagamyDaneGlobalPrefs;

- (NSString *)czasHMSzSekund:(double)iloscSekund;

- (IBAction) Open:(id)sender;
- (IBAction) Update:(id)sender;
- (IBAction) watchDogButtonAction:(id)sender;

- (NSString *) wybierzIZapamietajPlikZFolderu:(NSString *)lokalizacja zFilterm:(NSArray *)filtrPlikow;

- (BOOL) przygotujPlik:(NSString *)zrodlo;
- (BOOL) przygotujGlobalPrefs:(NSString *)zrodlo;

- (NSString *) sekcja:(NSString *)plik Od:(NSString *)poczatek Do:(NSString *)koniec;
- (NSString *) wytnij:(NSString *)plik Od:(NSString *)poczatek Do:(NSString *)koniec;



@end
